---
title: "Get a sender"
description: "Retrieve a sender by its ID to read its email address and current verification status, such as pending_verification, verified or failed."
canonical: "https://signatureapi.com/docs/api/resources/senders/get"
source: "https://signatureapi.com/docs/api/resources/senders/get.md"
last_verified_api_version: "1.18.0"
last_modified: "2026-11-18T12:10:02Z"
---

# Get a sender

Retrieve a sender by its ID to read its email address and current verification status, such as pending_verification, verified or failed.

_Last verified against API version 1.18.0._

Retrieves the details of a [sender](https://signatureapi.com/docs/api/resources/senders/object). Use this endpoint to check the current verification status of a sender after creation.

## Path parameters

#### `sender_id` (string, path, required)

The unique identifier of the sender.

## Returns

Returns a `200 OK` status code and [a sender object](https://signatureapi.com/docs/api/resources/senders/object) on success, or an [error](https://signatureapi.com/docs/api/errors) otherwise.

### Example: Verified sender

```http
GET /v1/senders/send_4TFzIeLGP1RpfwWwhiSGX8 HTTP/1.1
Host: api.signatureapi.com
X-API-Key: YOUR_API_KEY
```

Response 200 OK:

```json
{
  "id": "send_4TFzIeLGP1RpfwWwhiSGX8",
  "email": "legal@acme.example",
  "status": "verified",
  "created_at": "2026-11-02T14:03:11.000Z"
}
```

Response 404 Not Found:

```json
{
  "type": "https://signatureapi.com/docs/v1/errors/not-found",
  "title": "Not Found",
  "status": 404,
  "detail": "Could not find AllowedSender send_4TFzIeLGP1RpfwWwhiSGX8."
}
```

Errors that any request can return (authentication, rate limits, server errors) are on the [Errors](https://signatureapi.com/docs/api/errors) and [Authentication](https://signatureapi.com/docs/api/authentication) pages.
